Apache PHP, больше не работающий после обновления до 19,10 от 19,04

Я обновил свою Ubuntu от 19,04 до 19,10. Теперь Apache PHP не работает. Все, что я получаю, является необработанным кодом PHP вместо представленного PHP. Как я могу зафиксировать это?

0
задан 7 November 2019 в 08:20

1 ответ

обновленный на днях и найденный той же проблемой сегодня, когда я пошел, чтобы начать писать некоторый PHP. Мое решение было этим:

sudo apt update; sudo apt remove php -y; sudo apt remove apache2 -y; sudo autoremove -y

Это удалит apache2 и php, затем мы должны переустановить:

sudo apt install apache2 -y; sudo apt install php -y;

Затем Вы испытываете необходимость для включения php (это может быть единственным шагом, который необходимо сделать),

sudo a2enmod php7.x

*Примечание X для Вашей версии PHP (С моей записи, устанавливающей php, установит 7.3). Также обратите внимание, что Вы, возможно, не должны удалять apache2/php и затем переустанавливать. Это - то, как я сделал это, прежде чем я включил PHP снова.Надеюсь, это поможет.

2
ответ дан 22 December 2019 в 00:03

Другие вопросы по тегам:

Похожие вопросы: